Subject: bug#43243: emacs-elfeed-org, mapc: Symbol’s function definition is void

From: zimoun <[email-masked]>
Date: Tue, 29 Sep 2020 21:44:59 +0200

Hi,

On Tue, 29 Sep 2020 at 20:12, Giovanni Biscuolo <[email-masked]> wrote:

> File mode specification error: (void-function org--check-org-structure-template-alist) [2 times]
> Followed link to /home/giovanni/.dotfolder/emacs/.emacs.d/elfeed.org
> mapc: Symbol’s function definition is void:
> org--check-org-structure-template-alist

Hum?  What is your ’~/.emacs.d/init.el’&co.?  The issue seems the
loading order.  It could happen with lazy eval &co.  Well, this ’alist’
is from ’org.el’, so it appears to me a bit weird.

> Tomorrow I'll try to catch what's the conflicting package, now I'm using
> this manifest:

I have noticed that you use ’ghc-pandoc’.  Except if you require
“pandoc” as an Haskell library for linking, what you want is probably
the package ’pandoc’ (introduced by e380ef14cf).

All the best,
simon